# $Revision: 1.4 $, $Date: 2005/05/09 18:50:21 $
%define		module	pyid3lib
Summary:	A Python module for editing ID3v2 tags of MP3 audio files
Summary(pl):	Modu Pythona do modyfikowania znacznikw ID3v2 plikw dwikowych MP3
Name:		python-%{module}
Version:	0.5.1
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pyid3lib/pyid3lib-%{version}.tar.gz
# Source0-md5:	5fd37a7dda7c540f665ca5d428a28f5e
URL:		http://pyid3lib.sourceforge.net/
BuildRequires:	id3lib-devel
BuildRequires:	rpmbuild(macros) >= 1.174
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyid3lib is a Python module for editing ID3v2 tags of MP3 audio files.

%description -l pl
pyid3lib to modu Pythona do modyfikowania znacznikw ID3v2 plikw
dwikowych MP3.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyid3lib.spec,v $
Revision 1.4  2005/05/09 18:50:21  qboosh
- pl, removed bogus download URL

Revision 1.3  2005/05/08 18:49:24  jajcus
- MD5 sum fixed

Revision 1.2  2005/05/08 18:44:25  jajcus
- wrrr... a good spec was ready, but I have deleted it and commited some garbage. Here is the right spec (rewritten from scratch)
